2

I'm tried update my Magento 2.1.0 to 2.1.5 using composer update and changing the composer.json file, but shows up this error message below, what can I do to run normally?

Failed to decode response: zlib_decode(): data error
6

To me worked with the first solution, but you can try these:

1 - Solution

Run the composer update with this param.

composer clear-cache && composer update -vvv

It will equilibrate the requests and fix the time out that caused this issue.

2- Solution (only Linux)

On linux, it seems that running this command helps to make ipv4 traffic have a higher prio than ipv6, which is a better alternative than disabling ipv6 entirely:

sudo sh -c "echo 'precedence ::ffff:0:0/96 100' >> /etc/gai.conf"

Official documentation about

1
  • first solution works – Karthickeyan Jan 11 '18 at 14:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.